PLPARSEOPTS(3)

NAME
plparseopts - Parse command-line arguments

SYNOPSIS
plparseopts(p_argc, argv, mode)

DESCRIPTION

Parse command-line arguments.

ARGUMENTS

p_argc (int *, input)
    pointer to number of arguments.

argv (char **, input)
    Pointer to character array containing *p_argc command-line arguments.

mode (PLINT, input)
    Parsing mode with the following possibilities: PL_PARSE_FULL (1) -- Full parsing of command line and all error messages enabled, including program exit when an error occurs. Anything on the command line that isn't recognized as a valid option or option argument is flagged as an error. PL_PARSE_QUIET (2) -- Turns off all output except in the case of errors. PL_PARSE_NODELETE (4) -- Turns off deletion of processed arguments. PL_PARSE_SHOWALL (8) -- Show invisible options PL_PARSE_NOPROGRAM (32) -- Specified if argv[0] is NOT a pointer to the program name. PL_PARSE_NODASH (64) -- Set if leading dash is NOT required. PL_PARSE_SKIP (128) -- Set to quietly skip over any unrecognized args.

AUTHORS
Geoffrey Furnish and Maurice LeBrun wrote and maintain PLplot. This man page was automatically generated from the DocBook source of the PLplot documentation, maintained by Alan W. Irwin and Rafael Laboissiere.

SEE ALSO
PLplot documentation at http://plplot.sf.net/resources.